#!/usr/bin/env node 

var program = require('commander');
var appInfo = require('./../package.json');
var fs = require('fs-extra')

program
    .version(appInfo.version)
    .usage('这里是我私人玩耍的命令哦！[options] <package>')

//像git风格一样的子命令
program
    //子命令
    .command('init <cmd>')
    //短命令 - 简写方式
    .alias('i')
    //说明
    .description('这里是我的简历详情！')
    //resume的子命令
    .option("-n, --name <mode>", "输出我的名字")
    //注册一个callback函数
    .action(function(cmd, options){
        var nm = typeof options.name=='string'?options.name:""
        var dir=cmd
        fs.copy('./template/page',cmd, function(err) {
            if (err) return console.error(err)
            console.log("success!")
          });
        console.log('所创建页面的名字', cmd, dir);
    }).on('--help', function() {
        //这里输出子命令的帮助
        console.log('  Examples:');
        console.log('    运行方法：');
        console.log('    $ ./bin/wcj.js resume ss -n aaaaa');
        console.log('    $ ./bin/wcj.js resume ss');
        console.log();
    });

program.parse(process.argv);